Commit cae8fd06 authored by Sebastian Eichelbaum's avatar Sebastian Eichelbaum
Browse files

[CHANGE] reduced deps to work on trusty tahr

parent f4b939a2
...@@ -32,7 +32,7 @@ ...@@ -32,7 +32,7 @@
VERSION_BASE=1.4.0 VERSION_BASE=1.4.0
# Any additonal tags? # Any additonal tags?
VERSION_TAGS="~rc2" VERSION_TAGS="~rc4"
# Should the package number contain the HG revision? # Should the package number contain the HG revision?
VERSION_INCLUDE_HG=1 VERSION_INCLUDE_HG=1
......
openwalnut (OWPACK_VERSION-1) unstable; urgency=low openwalnut (OWPACK_VERSION-1) unstable; urgency=low
* Fixed support for GCC5 (Closes: #778050)
* Major functionality and stability improvements. * Major functionality and stability improvements.
* Several bug fixes * Several bug fixes
* Explicitly link against X11 (Closes: #754759) * Explicitly link against X11 (Closes: #754759)
* Made Debian package multiarch compliant (Closes: #760064) * Made Debian package multiarch compliant (Closes: #760064)
* Jumped to deb compatibility level 9 * Jumped to deb compatibility level 9
* Dropped Qt4 support in favor of Qt5 * Dropped Qt4 support in favor of Qt5 (Closes: #784503)
* Dropped support for BioSig * Dropped support for BioSig
* See http://www.openwalnut.org/versions/2 * See http://www.openwalnut.org/versions/2
......
...@@ -6,12 +6,12 @@ Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.ha ...@@ -6,12 +6,12 @@ Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.ha
Build-Depends: debhelper (>= 9.0.0), Build-Depends: debhelper (>= 9.0.0),
cmake (>= 2.8.11), doxygen (>= 1.6.3), graphviz (>= 2.26.3), cmake (>= 2.8.11), doxygen (>= 1.6.3), graphviz (>= 2.26.3),
libgl1-mesa-dev | libgl-dev, libgl1-mesa-dev | libgl-dev,
libopenscenegraph-dev (>= 3.0.0), libopenthreads-dev (>= 3.0.0), libopenscenegraph-dev (>= 3.2.0), libopenthreads-dev (>= 3.2.0),
libqt5opengl5-dev (>= 5.1.0), qtbase5-dev (>= 5.1.0), qttools5-dev (>= 5.1.0), libqt5opengl5-dev (>= 5.2.0), qtbase5-dev (>= 5.2.0), qttools5-dev (>= 5.2.0),
libqt5webkit5-dev (>= 5.1.0), libqt5webkit5-dev (>= 5.2.0),
libboost-dev (>= 1.46.0), libboost-program-options-dev (>= 1.46.0), libboost-thread-dev (>= 1.46.0), libboost-dev (>= 1.54.0), libboost-program-options-dev (>= 1.54.0), libboost-thread-dev (>= 1.54.0),
libboost-filesystem-dev (>= 1.46.0), libboost-date-time-dev (>= 1.46.0), libboost-system-dev (>= 1.46.0), libboost-filesystem-dev (>= 1.54.0), libboost-date-time-dev (>= 1.54.0), libboost-system-dev (>= 1.54.0),
libboost-signals-dev (>= 1.46.0), libboost-regex-dev (>= 1.46.0), libboost-signals-dev (>= 1.54.0), libboost-regex-dev (>= 1.54.0),
libeigen3-dev (>= 3.0.0), libeigen3-dev (>= 3.0.0),
libnifti-dev (>= 2.0.0), libnifti-dev (>= 2.0.0),
zlib1g-dev (>= 1:1.2.3.4.dfsg), zlib1g-dev (>= 1:1.2.3.4.dfsg),
...@@ -49,10 +49,10 @@ Section: libdevel ...@@ -49,10 +49,10 @@ Section: libdevel
Architecture: any Architecture: any
Depends: libopenwalnut1 (= ${binary:Version}), Depends: libopenwalnut1 (= ${binary:Version}),
libgl1-mesa-dev | libgl-dev, libgl1-mesa-dev | libgl-dev,
libopenscenegraph-dev (>= 3.0.0), libopenthreads-dev (>= 3.0.0), libopenscenegraph-dev (>= 3.2.0), libopenthreads-dev (>= 3.2.0),
libboost-dev (>= 1.46.0), libboost-program-options-dev (>= 1.46.0), libboost-thread-dev (>= 1.46.0), libboost-dev (>= 1.54.0), libboost-program-options-dev (>= 1.54.0), libboost-thread-dev (>= 1.54.0),
libboost-filesystem-dev (>= 1.46.0), libboost-date-time-dev (>= 1.46.0), libboost-system-dev (>= 1.46.0), libboost-filesystem-dev (>= 1.54.0), libboost-date-time-dev (>= 1.54.0), libboost-system-dev (>= 1.54.0),
libboost-signals-dev (>= 1.46.0), libboost-regex-dev (>= 1.46.0), libboost-signals-dev (>= 1.54.0), libboost-regex-dev (>= 1.54.0),
libeigen3-dev (>= 3.0.0), libeigen3-dev (>= 3.0.0),
${misc:Depends} ${misc:Depends}
Description: Development files for the OpenWalnut visualization framework Description: Development files for the OpenWalnut visualization framework
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment